replacekey(1)

NAME
replacekey - replace keywords in a FITS header

SYNOPSIS
replacekey [options] <in>

DESCRIPTION

replacekey is aimed at replacing keywords in a FITS file's header by new keywords provided by the user on the command-line.

ALGORITHM
The user can provide a new_keyword, an old_keyword, a value and a comment. replacekey first searchs for old_keyword if provided. If it finds it, it replaces the associated card by the new one (new_keyword=value/comment). If old_keyword is either not found or not provided, replacekey searchs for new_keyword, and if it finds it, replaces the associated card by the new one (new_keyword=value/comment). new_keyword has to be provided.

Examples: You want to change the value of VALUE from 32 to 16 in myfile.fits: % replacekey -k "VALUE" -v "16" myfile.fits

If you want to replace the card with the keyword OLD by "NEW = 3.14 / This is a usefull key" in myfile.fits: % replacekey -k "NEW" -v "3.14" -c "This is a usefull key" -K "OLD" myfile.fits

If your do not care about the HISTORY cards you have in the header, and want to replace the first one by VALUE=32, you would do:
% replacekey -k "VALUE" -v "32" -K "HISTORY" myfile.fits

OPTIONS

-k or --key key
    To provide the new keyword.

-K or --old key
    To provide the old keyword.

-v or --val val
    To provide the new value.

-c or --com com
    To provide the new comment.

SEE ALSO
hierarch28 to convert HIERARCH ESO keywords to regular 8-char keywords.

FILES

Files shall all comply with FITS format

BUGS

Modifications are so far only possible in the main header, not in the extensions.